## org.apache.fop.pdf
Class PDFColor

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFPathPaint
                  |
                  +--org.apache.fop.pdf.PDFColor

public class PDFColor
extends PDFPathPaint

Field Summary
`protected double` `black`
`protected static double` `blackFactor`
`protected double` `blue`
`protected double` `cyan`
`protected double` `green`
`protected double` `magenta`
`protected double` `red`
`protected double` `yellow`

Fields inherited from class org.apache.fop.pdf.PDFPathPaint
`colorSpace`

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFColor(ColorType theColor)`
`PDFColor(double theRed, double theGreen, double theBlue)`
`PDFColor(double theCyan, double theMagenta, double theYellow, double theBlack)`
`PDFColor(int theRed, int theGreen, int theBlue)`

Method Summary
`double` `black()`
`double` `blue()`
`int` `blue255()`
`protected void` `convertCMYKtoGRAY()`
`protected void` `convertCMYKtoRGB()`
`protected void` `convertGRAYtoCMYK()`
`protected void` `convertGRAYtoRGB()`
`protected void` `convertRGBtoCMYK()`
`protected void` `convertRGBtoGRAY()`
`double` `cyan()`
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getColorSpaceOut(boolean fillNotStroke)`
`java.util.Vector` `getVector()`
`double` `green()`
`int` `green255()`
`double` `magenta()`
`double` `red()`
`int` `red255()`
`void` `setColorSpace(int theColorSpace)`
`double` `yellow()`

Methods inherited from class org.apache.fop.pdf.PDFPathPaint
`getColorSpace`

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### blackFactor

    protected static double blackFactor

### red

    protected double red

### green

    protected double green

### blue

    protected double blue

### cyan

    protected double cyan

### magenta

    protected double magenta

### yellow

    protected double yellow

### black

    protected double black

Constructor Detail

### PDFColor

    public PDFColor(ColorType theColor)

### PDFColor

    public PDFColor(double theRed,
                    double theGreen,
                    double theBlue)

### PDFColor

    public PDFColor(int theRed,
                    int theGreen,
                    int theBlue)

### PDFColor

    public PDFColor(double theCyan,
                    double theMagenta,
                    double theYellow,
                    double theBlack)

Method Detail

### getVector

    public java.util.Vector getVector()

### red

    public double red()

### green

    public double green()

### blue

    public double blue()

### red255

    public int red255()

### green255

    public int green255()

### blue255

    public int blue255()

### cyan

    public double cyan()

### magenta

    public double magenta()

### yellow

    public double yellow()

### black

    public double black()

### setColorSpace

    public void setColorSpace(int theColorSpace)

  Overrides:
    setColorSpace in class PDFPathPaint

### getColorSpaceOut

    public java.lang.String getColorSpaceOut(boolean fillNotStroke)

  Overrides:
    getColorSpaceOut in class PDFPathPaint

### convertCMYKtoRGB

    protected void convertCMYKtoRGB()

### convertRGBtoCMYK

    protected void convertRGBtoCMYK()

### convertGRAYtoRGB

    protected void convertGRAYtoRGB()

### convertGRAYtoCMYK

    protected void convertGRAYtoCMYK()

### convertCMYKtoGRAY

    protected void convertCMYKtoGRAY()

### convertRGBtoGRAY

    protected void convertRGBtoGRAY()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    equals in class java.lang.Object

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.